<?php  

$wp_customize->add_section(
    'feature_area',
    array(
        'title' => __('Feature Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
  // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'feature_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'feature_area_disable',
            array(
                'settings'      => 'feature_area_disable',
                'section'       => 'feature_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'feature', 'feature_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'featuresection_padding', 'feature_area', ' Section Padding ');

$wp_customize->add_setting(
    'feature_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feature_areaTpadding',
    array(
        'settings'      => 'feature_areaTpadding',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'feature_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feature_areaBpadding',
    array(
        'settings'      => 'feature_areaBpadding',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'feaearea_conwidth', 'feature_area', 'Section Width ');

$wp_customize->add_setting('fea_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'fea_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'feature_area', // Replace with your actual section ID
    'settings' => 'fea_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );


lzCustomLable($wp_customize, 'featarea_headingaling', 'feature_area', 'Heading Alignment');

$wp_customize->add_setting('fea_maintitle_align',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'left'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'fea_maintitle_align', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'feature_area', // Replace with your actual section ID
    'settings' => 'fea_maintitle_align',
    'choices'=>array(
       'left' => 'Left',
       'center' => 'Center',
       'right' => 'Right',
    )
) ) );

lzCustomLable($wp_customize, 'featarea_headingcase', 'feature_area', 'Heading Style');

$wp_customize->add_setting('fea_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'fea_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'feature_area', // Replace with your actual section ID
    'settings' => 'fea_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );

$wp_customize->add_setting(
    'feature_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'feature_title_heading',
        array(
            'settings'      => 'feature_title_heading',
            'section'       => 'feature_area',
            'label'         => __( 'Section Heading', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'fea_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Features', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'fea_subtitle',
    array(
        'settings'      => 'fea_subtitle',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'feature_subHeading', 'feature_area', 'Sub Heading Color', '#FF7617');
addColorPalatOption($wp_customize, 'feature_subHeadingicn', 'feature_area', 'Sub Heading Icon Color', '#FF7617');

$wp_customize->add_setting(
    'fea_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Descover Our Latest Quality Service', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'fea_title',
    array(
        'settings'      => 'fea_title',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'feature_Heading', 'feature_area', 'Heading Color', '#24345D');

$wp_customize->add_setting(
    'fea_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages Lorem Ipsum available, but the majority have suffered believable.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'fea_txt',
    array(
        'settings'      => 'fea_txt',
        'section'       => 'feature_area',
        'type'          => 'textarea',
        'label'         => __( 'Text ', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'feature_subHeadtxt', 'feature_area', 'Text Color', '#8F8F8F');


lzCustomLable($wp_customize, 'abtSec_btnclr', 'feature_area' , 'Section Button');

$wp_customize->add_setting(
    'fefean_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'fefean_text',
    array(
        'settings'      => 'fefean_text',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('feabtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('feabtnlink',
    array(
        'settings'      => 'feabtnlink',
        'section'       => 'feature_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'feasec_btntxtclr', 'feature_area', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'feasec_btntxthvclr', 'feature_area', 'Button Text Hover Color', '#FF7617');

addColorPalatOption($wp_customize, 'feasec_btntxtbgclr', 'feature_area', 'Button BG Color', '#FF7617');

addColorPalatOption($wp_customize, 'feasec_btntxtbghvclr', 'feature_area', 'Button BG Hover Color', '#24345D');



// 2nd
lzCustomLable($wp_customize, 'feasec_list', 'feature_area', 'Section List');

$wp_customize->add_setting(
    'fea_list',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>24/7 Emergency Service</li>
<li>Licensed & Insured Professionals</li>
<li>Fast Response Time</li>
<li>Energy-Efficient Solutions</li>
<li>Customized Service Plans</li>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'fea_list',
    array(
        'settings'      => 'fea_list',
        'section'       => 'feature_area',
        'type'          => 'textarea',
        'label'         => __( 'List ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'feasec_listicnclr', 'feature_area', 'List Icon Color', '#24345D');

addColorPalatOption($wp_customize, 'feasec_listtxtclr', 'feature_area', 'List Text Color', '#000');

addColorPalatOption($wp_customize, 'feasec_listhvtxtclr', 'feature_area', 'List Hover Text BG Color', '#FF7617');

// 3rd
lzCustomLable($wp_customize, 'feasec_slide', 'feature_area', ' Slider Box');

backgroundManager($wp_customize, 'fea_slide', 'feature_area', $color='#fff', get_template_directory_uri().'/images/f-sliderbg2.jpg', 'color');

$wp_customize->add_setting('feaus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'feaus_npp_heading',
        array(
            'settings'      => 'feaus_npp_heading',
            'section'       => 'feature_area',
            'label'         => __( 'Number Of Box', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('feaus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 4));
$wp_customize->add_control(
    'feaus_npp_count',
    array(
        'settings'      => 'feaus_npp_count',
        'section'       => 'feature_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Box To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5)
    )
);

//Features PAGES
for( $i = 1; $i <= 5; $i++ ){
    $wp_customize->add_setting(
        'feaus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'feaus_header'.$i,
            array(
                'settings'      => 'feaus_header'.$i,
                'section'       => 'feature_area',
                'label'         => __( 'Section Box ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'feaus_page_icon'.$i,
        array(
            'default'           => 'fa fa-cog',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'feaus_page_icon'.$i,
            array(
                'settings'      => 'feaus_page_icon'.$i,
                'section'       => 'feature_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'feaus_page_txt'.$i, 'feature_area', $type = 'text', $label="Text", $callback ='luzuk_sanitize_text', $default='There are many variations of Lorem Ipsum available, but the majority have suffered alteration in some believable.');

}

lzCustomLable($wp_customize, 'feasec_slideopacity', 'feature_area', ' Slider Overlay');

$wp_customize->add_setting(
    'feasec_slid_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.9', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feasec_slid_Opacity',
    array(
        'settings'      => 'feasec_slid_Opacity',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'feasec_sliimgolyclr', 'feature_area', 'Slider Image Overlay Color', '#24345D');

addColorPalatOption($wp_customize, 'feasec_slinumclr', 'feature_area', 'Slider Number Color', '#c7cad9');

addColorPalatOption($wp_customize, 'feasec_slinumbgclr', 'feature_area', 'Slider Number Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'feasec_slinumbrdclr', 'feature_area', 'Slider Number Box Border Color', '#fff');

addColorPalatOption($wp_customize, 'feasec_sliicnclr', 'feature_area', 'Slider Icon Color', '#fff');

addColorPalatOption($wp_customize, 'feasec_slitxtclr', 'feature_area', 'Slider Text Color', '#fff');

addColorPalatOption($wp_customize, 'feasec_slibxbrdclr', 'feature_area', 'Slider Box Border Color', '#304780');

addColorPalatOption($wp_customize, 'feasec_slidotclr', 'feature_area', 'Slider Dot Color', '#b1afc5');

addColorPalatOption($wp_customize, 'feasec_slidotactclr', 'feature_area', 'Slider Dot Active Color', '#FF7617');